<?php $hash=md5("contact@heuzef.com"); ?>

<!DOCTYPE html>
<html lang="fr">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>EcoMonde</title>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="./css/bootstrap.css" media="screen">
		<link rel="stylesheet" href="./css/bootswatch.min.css">
		<link rel="stylesheet" href="./css/ecomonde.css">
	</head>

	<body>
	<div class="container-fluid">
		<div class="col-lg-1"></div>
		<div class="col-lg-3">
			<a href="#"><img class="img-responsive" src="./img/logo_<?php echo rand(1, 6); ?>.png" alt="logo" /></a>
		</div>
		<div class="col-lg-6">
			<div class="navbar navbar-default">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-responsive-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
				</div>
				<div class="navbar-collapse collapse navbar-responsive-collapse">
					<ul class="nav navbar-nav">
						<li><a href="http://wiki.ecomonde.land"><i class="glyphicon glyphicon-book"></i>&nbsp;&nbsp;WIKI</a></li>
						<li><a href="https://github.com/heuzef/ecomonde"><i class="glyphicon glyphicon-new-window"></i>&nbsp;&nbsp;GITHUB</a></li>
					</ul>
					<ul class="nav navbar-nav navbar-right">
						<li><?php echo '<img src="http://gravatar.com/avatar/'.$hash.'?s=50" alt="gravatar" />';	?> <strong>HEUZEF</strong></li>
						<li><a href="#"><i class="glyphicon glyphicon-log-out"></i>&nbsp;&nbsp;DECONNEXION</a></li>
					</ul>
				</div>
			</div>
		</div>
		<div class="col-lg-1"></div>
	</div>
	<hr />

<!-- 	<div class="container-fluid">
		<div class="col-lg-1"></div>
		<div class="col-lg-5">
			<h2>Présentation</h2>
			<p><strong>EcoMonde est un jeux de rôle d'aventure interactif.</strong></p>
			<p class="text-success">Celui-ci dispose d'une interface de jeu permetant aux Maître de Jeux de contrôler la partie directement sans avoir besoin de matériel.</p>
			<p class="text-primary">Pas besoin de feuille, de dés, de stylo ou autre. Mais uniquement d'un écran. Tous est automatisé.</p>
			<p class="text-warning">Le Maître de Jeux peut ensuite créer sa partie en s'appuyant sur tous les outils existants.</p>
			<p class="text-danger">Un <a href="http://wiki.ecomonde.land"><i class="glyphicon glyphicon-book"></i>&nbsp;&nbsp;WIKI</a> est à disposition pour un plus grand partages de ressources.</p>
		</div>
		<div class="col-lg-5">
			<h2>Créer un compte</h2>
			<form class="form-horizontal well">
			  <fieldset>
			    <div class="form-group">
			      <label for="pseudo" class="col-lg-3 control-label">Pseudo</label>
			      <div class="col-lg-9">
			        <input type="text" class="form-control" id="pseudo" placeholder="Pseudo">
			      </div>
			    </div>
			    <div class="form-group">
			      <label for="Email" class="col-lg-3 control-label">E-mail</label>
			      <div class="col-lg-9">
			        <input type="text" class="form-control" id="Email" placeholder="E-mail">
			      </div>
			    </div>
			    <div class="form-group">
			      <label for="password" class="col-lg-3 control-label">Mot de passe</label>
			      <div class="col-lg-9">
			        <input type="password" class="form-control" id="password" placeholder="Mot de passe">
			      </div>
			    </div>
			    <div class="form-group">
			      <div class="col-lg-9 col-lg-offset-3">
			        <button type="submit" class="btn btn-primary"><i class="glyphicon glyphicon-ok"></i>&nbsp;&nbsp;OK</button>
			      </div>
			    </div>
			  </fieldset>
			</form>
		</div>
		<div class="col-lg-1"></div>
	</div> -->

	<div class="container-fluid">
		<div class="col-lg-1"></div>
		<div class="col-lg-3">
			<div class="panel panel-default">
				<div class="panel-heading"><i class="glyphicon glyphicon-cog"></i>&nbsp;&nbsp;<strong>Configurer votre partie</strong></div>
				<div class="panel-body">
				<p>
					<a href="play" class="btn btn-info btn-lg" target="_blank"><i class="glyphicon glyphicon-play"></i>&nbsp;&nbsp;Lancer votre partie</a>
				<p>
				<hr />
				<p>
					<a href="#" class="btn btn-default btn-lg"><i class="glyphicon glyphicon-plus"></i>&nbsp;&nbsp;Créer un joueur</a>
				</p>
				<hr />
				<p>
					<a href="#" class="btn btn-default btn-lg"><i class="glyphicon glyphicon-import"></i>&nbsp;&nbsp;Importer un joueur (.XML)</a>
				</p>
				<hr />
				<p>
					<div class="btn-group">
						<a href="#" class="btn btn-default btn-lg dropdown-toggle" data-toggle="dropdown">
							<i class="glyphicon glyphicon-music"></i>&nbsp;&nbsp;Changer les musiques
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu">
							<li><a href="#" style="color:#CCC;"><i class="glyphicon glyphicon-music"></i>&nbsp;&nbsp;SOFT</a></li>
							<li class="divider"></li>
							<li><a href="#" style="color:#AAA;"><i class="glyphicon glyphicon-music"></i>&nbsp;&nbsp;TONIC</a></li>
							<li class="divider"></li>
							<li><a href="#" style="color:#000;"><i class="glyphicon glyphicon-music"></i>&nbsp;&nbsp;HARD</a></li>
							<li class="divider"></li>
							<li><a href="#" style="color:#ADDFFF;"><i class="glyphicon glyphicon-music"></i>&nbsp;&nbsp;LIGHT</a></li>
							<li class="divider"></li>
							<li><a href="#" style="color:#8128B5;"><i class="glyphicon glyphicon-music"></i>&nbsp;&nbsp;DARK</a></li>
						</ul>
					</div>
				</p>
				<hr />
				<p>
					<a href="#" class="btn btn-default btn-lg"><i class="glyphicon glyphicon-map-marker"></i>&nbsp;&nbsp;Changer la carte</a>
				</p>
				<hr />
				<p>
					<a href="play" class="btn btn-danger btn-lg"><i class="glyphicon glyphicon-remove"></i>&nbsp;&nbsp;Supprimer votre partie</a>
				</p>
				</div>
			</div>
		</div>
		<div class="col-lg-7">
			<div class="panel panel-default">
				<div class="panel-heading"><i class="glyphicon glyphicon-user"></i>&nbsp;&nbsp;<strong>Joueurs présents dans votre partie :</strong></div>
				<div class="panel-body">
					<table class="table table-striped table-hover ">
					  <thead>
					    <tr>
					      <th></th>
					      <th>Nom</th>
					      <th><i class="glyphicon glyphicon-heart" style="color:red;"></i></th>
					      <th><i class="glyphicon glyphicon-flash" style="color:#FFD700;"></i></th>
					      <th><i class="glyphicon glyphicon-fire" style="color:#28b62c"></i></th>
					      <th><i class="glyphicon glyphicon-fire" style="color:#158cba"></i></th>
					      <th><i class="glyphicon glyphicon-fire" style="color:#ffd000"></i></th>
					      <th><i class="glyphicon glyphicon-fire" style="color:#ff4136"></i></th>
					      <th><i class="glyphicon glyphicon-fire" style="color:#ADDFFF"></i></th>
					      <th><i class="glyphicon glyphicon-fire" style="color:#8128B5"></i></th>
					    </tr>
					  </thead>
					  <tbody>
					      <?php
					      // nombre de gamers
					      $f = 0;
					      foreach(glob('*.xml') as $f) {$f+=1;}
					      $nb_membres = count(glob('./medias/'.$hash.'/*.xml'));

					      // liste des gamers
					        $folder = "./medias/".$hash."/";
					        $dossier = opendir($folder);
					        while ($fichier = readdir($dossier))
					        {

								if ($fichier != "." && $fichier != ".." && $fichier != "map.jpg" && $fichier != "soft.mp3" && $fichier != "tonic.mp3" && $fichier != "hard.mp3" && $fichier != "light.mp3" && $fichier != "dark.mp3")
								{
									$gamers = explode(".xml", $fichier);

									$xml = simplexml_load_file('./medias/'.$hash.'/'.$fichier);
									if (!isset($itemnb)) {
										$itemnb=0;
									} else {
										$itemnb++;
									}
									foreach($xml->entry as $entry) {
										echo '<tr class="active">
								      <td><a href="#" class="btn btn-danger btn-xs"><i class="glyphicon glyphicon-trash"></i></a>&nbsp;&nbsp;<a href="./medias/'.$hash.'/'.$fichier.'" target="_blank" class="btn btn-success btn-xs"><i class="glyphicon glyphicon-export"></i></a></td>
								      <td>'.$entry->nom.'</td>
								      <td>'.$entry->hp.'</td>
								      <td>'.$entry->xp.'</td>
								      <td>'.$entry->ecos->verte.'</td>
								      <td>'.$entry->ecos->bleue.'</td>
								      <td>'.$entry->ecos->jaune.'</td>
								      <td>'.$entry->ecos->rouge.'</td>
								      <td>'.$entry->ecos->blanche.'</td>
								      <td>'.$entry->ecos->noire.'</td>
								    </tr>';
									}
								}
					        }
					        closedir($dossier);
					      ?>
					  </tbody>
					</table>
				</div>
			</div>
		</div>
		<div class="col-lg-1"></div>
	</div>

	<script src="./js/jquery-1.10.2.min.js"></script>
	<script src="./js/bootstrap.min.js"></script>
	<script src="./js/bootswatch.js"></script>
	</body>
</html>